<?php
/* @var $this AlbumImageController */
/* @var $model AlbumImage */

$this->breadcrumbs = array(
    'Albums' => array('album/admin'),
    $model->album->title => array('admin', 'album_id' => $model->album_id),
    Yii::t('admin', 'Manage'),
);

$this->menu = array(
    array('label' => 'Manage AlbumImage', 'url' => array('admin')),
    array('label' => 'Create AlbumImage', 'url' => array('create')),
);

Yii::app()->clientScript->registerScript('search', "
    $('.search-button').click(function(){
        $('.search-form').toggle();
            return false;
        });
        $('.search-form form').submit(function(){
            $('#album-image-grid').yiiGridView('update', {
            data: $(this).serialize()
        });
        return false;
    });
");
?>
<div class="page-header">
    <h1>
        <?php echo Yii::t("admin", "Manage Album Images"); ?>
        <?php echo CHtml::link(Yii::t('admin', 'Upload Images'), array('upload', 'album_id' => $model->album_id), array('class' => 'btn btn-sm btn-primary pull-right')); ?>
    </h1>
</div>
<!--<p>
You may optionally enter a comparison operator (<b>&lt;</b>, <b>&lt;=</b>, <b>&gt;</b>, <b>&gt;=</b>, <b>&lt;&gt;</b>
or <b>=</b>) at the beginning of each of your search values to specify how the comparison should be done.
</p>-->

<?php echo CHtml::link('Advanced Search', '#', array('class' => 'search-button btn btn-xs')); ?>
<div class="search-form display-none">
    <?php
    $this->renderPartial('_search', array(
        'model' => $model,
    ));
    ?>
</div><!-- search-form -->

<?php
$this->widget('ext.widgets.FGridView', array(
    'id' => 'album-image-grid',
    'dataProvider' => $model->search(),
    'filter' => $model,
    'columns' => array(
        array(
            'name' => 'id',
            'htmlOptions' => array('style' => 'width:50px;'),
        ),
        array(
            'name' => 'image',
            'value' => 'CHtml::image(Yii::app()->params["uploadUrl"] . get_class($data) . "/" . $data->image,$data->title,array("style"=>"width:150px;"))',
            'type' => 'html',
            'htmlOptions' => array("style" => "width:150px;"),
            'filter' => false,
        ),
       // 'title',
       // 'slug',
        array(
            'name' => 'create_datetime',
            'value' => 'Yii::app()->dateFormatter->formatDateTime($data->create_datetime)',
            'filter' => false,
        ),
//        'order',
//          'album_id',
        array(
            'class' => 'CButtonColumn',
            'template' => ' {delete}',
        ),
    ),
));
?>
